iCEGUI Struct Reference (Crystal Space 2.0 Public API Reference)

| ## Public API Reference

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions
iCEGUI Struct Reference

Interface for the CS CEGUI wrapper. More...

`#include <ivaria/icegui.h>`

Inheritance diagram for iCEGUI:

List of all members.

## Public Member Functions
virtual CEGUI::Texture & | CreateTexture (iTextureHandle *htxt)=0
| Create a texture from a CS texturehandle.
virtual void | DisableKeyboardCapture ()=0
| Keep CEGUI from capturing keyboard events.
virtual void | DisableMouseCapture ()=0
| Keep CEGUI from capturing mouse events.
virtual void | EnableKeyboardCapture ()=0
| Allow CEGUI to capture keyboard events.
virtual void | EnableMouseCapture ()=0
| Allow CEGUI to capture mouse events.
virtual bool | GetAutoRender ()=0
| Query auto rendering.
virtual CEGUI::FontManager * | GetFontManagerPtr () const =0
| Get a pointer to the CEGUI::FontManager singleton.
virtual CEGUI::GlobalEventSet * | GetGlobalEventSetPtr () const =0
| Get a pointer to the CEGUI::GlobalEventSet singleton.
virtual CEGUI::ImagesetManager * | GetImagesetManagerPtr () const =0
| Get a pointer to the CEGUI::ImagesetManager singleton.
virtual CEGUI::Logger * | GetLoggerPtr () const =0
| Get a pointer to the CEGUI::Logger singleton.
virtual CEGUI::MouseCursor * | GetMouseCursorPtr () const =0
| Get a pointer to the CEGUI::MouseCursor singleton.
virtual CEGUI::SchemeManager * | GetSchemeManagerPtr () const =0
| Get a pointer to the CEGUI::SchemeManager singleton.
virtual CEGUI::System * | GetSystemPtr () const =0
| Get a pointer to the CEGUI::System singleton.
virtual CEGUI::WindowFactoryManager * | GetWindowFactoryManagerPtr () const =0
| Get a pointer to the CEGUI::WindowFactoryManager singleton.
virtual CEGUI::WindowManager * | GetWindowManagerPtr () const =0
| Get a pointer to the CEGUI::WindowManager singleton.
virtual bool | Initialize (iScript *script=0)=0
| Initialize the plugin.
virtual void | Render () const =0
| Render the GUI.
virtual void | SetAutoRender (bool autoRender)=0
| Enable/disable auto rendering.

## Detailed Description

Interface for the CS CEGUI wrapper.

Definition at line 38 of file icegui.h.

## Member Function Documentation

virtual CEGUI::Texture& iCEGUI::CreateTexture | ( | iTextureHandle * | htxt | ) | `[pure virtual]`

Create a texture from a CS texturehandle.

virtual void iCEGUI::DisableKeyboardCapture | ( |  | ) | `[pure virtual]`

Keep CEGUI from capturing keyboard events.

virtual void iCEGUI::DisableMouseCapture | ( |  | ) | `[pure virtual]`

Keep CEGUI from capturing mouse events.

virtual void iCEGUI::EnableKeyboardCapture | ( |  | ) | `[pure virtual]`

Allow CEGUI to capture keyboard events.

virtual void iCEGUI::EnableMouseCapture | ( |  | ) | `[pure virtual]`

Allow CEGUI to capture mouse events.

virtual bool iCEGUI::GetAutoRender | ( |  | ) | `[pure virtual]`

Query auto rendering.

virtual CEGUI::FontManager* iCEGUI::GetFontManagerPtr | ( |  | ) | const`[pure virtual]`

Get a pointer to the CEGUI::FontManager singleton.

virtual CEGUI::GlobalEventSet* iCEGUI::GetGlobalEventSetPtr | ( |  | ) | const`[pure virtual]`

Get a pointer to the CEGUI::GlobalEventSet singleton.

virtual CEGUI::ImagesetManager* iCEGUI::GetImagesetManagerPtr | ( |  | ) | const`[pure virtual]`

Get a pointer to the CEGUI::ImagesetManager singleton.

virtual CEGUI::Logger* iCEGUI::GetLoggerPtr | ( |  | ) | const`[pure virtual]`

Get a pointer to the CEGUI::Logger singleton.

virtual CEGUI::MouseCursor* iCEGUI::GetMouseCursorPtr | ( |  | ) | const`[pure virtual]`

Get a pointer to the CEGUI::MouseCursor singleton.

virtual CEGUI::SchemeManager* iCEGUI::GetSchemeManagerPtr | ( |  | ) | const`[pure virtual]`

Get a pointer to the CEGUI::SchemeManager singleton.

virtual CEGUI::System* iCEGUI::GetSystemPtr | ( |  | ) | const`[pure virtual]`

Get a pointer to the CEGUI::System singleton.

virtual CEGUI::WindowFactoryManager* iCEGUI::GetWindowFactoryManagerPtr | ( |  | ) | const`[pure virtual]`

Get a pointer to the CEGUI::WindowFactoryManager singleton.

virtual CEGUI::WindowManager* iCEGUI::GetWindowManagerPtr | ( |  | ) | const`[pure virtual]`

Get a pointer to the CEGUI::WindowManager singleton.

virtual bool iCEGUI::Initialize | ( | iScript * | script = `0` | ) | `[pure virtual]`

Initialize the plugin.

Parameters:

  script | iScript plugin to use as a scripting module.

virtual void iCEGUI::Render | ( |  | ) | const`[pure virtual]`

Render the GUI.

virtual void iCEGUI::SetAutoRender | ( | bool | autoRender | ) | `[pure virtual]`

Enable/disable auto rendering.

Auto rendering causes the GUI to be rendered every frame, during the "2D" phase (see CS_EVENTHANDLER_PHASE_2D). By default, auto rendering is disables.

The documentation for this struct was generated from the following file:

- ivaria/icegui.h